# Mario

#### new Mario()

Mario is emitted if the discovered device is a LEGO Super Mario brick.

Source:
  - hubs/mario.js, line 27

### Extends

- LPF2Hub
- BaseHub

### Members

#### (readonly) batteryLevel

##### Properties:

Name | Type | Description
--- | --- | ---
`batteryLevel` | number | Battery level of the hub (Percentage between 0-100)

Overrides:
  - BaseHub#batteryLevel
Source:
  - hubs/basehub.js, line 157

#### (readonly) connected

##### Properties:

Name | Type | Description
--- | --- | ---
`connected` | string | Connected status

Overrides:
  - BaseHub#connected
Source:
  - hubs/basehub.js, line 101

#### (readonly) connecting

##### Properties:

Name | Type | Description
--- | --- | ---
`connecting` | string | Connecting status

Overrides:
  - BaseHub#connecting
Source:
  - hubs/basehub.js, line 108

#### (readonly) firmwareVersion

##### Properties:

Name | Type | Description
--- | --- | ---
`firmwareVersion` | string | Firmware version of the hub

Overrides:
  - BaseHub#firmwareVersion
Source:
  - hubs/basehub.js, line 129

#### (readonly) hardwareVersion

##### Properties:

Name | Type | Description
--- | --- | ---
`hardwareVersion` | string | Hardware version of the hub

Overrides:
  - BaseHub#hardwareVersion
Source:
  - hubs/basehub.js, line 136

#### (readonly) name

##### Properties:

Name | Type | Description
--- | --- | ---
`name` | string | Name of the hub

Overrides:
  - BaseHub#name
Source:
  - hubs/basehub.js, line 94

#### (readonly) ports

##### Properties:

Name | Type | Description
--- | --- | ---
`ports` | Array.<string> | Array of port names

Overrides:
  - BaseHub#ports
Source:
  - hubs/basehub.js, line 122

#### (readonly) primaryMACAddress

##### Properties:

Name | Type | Description
--- | --- | ---
`primaryMACAddress` | string | Primary MAC address of the hub

Overrides:
  - BaseHub#primaryMACAddress
Source:
  - hubs/basehub.js, line 143

#### (readonly) rssi

##### Properties:

Name | Type | Description
--- | --- | ---
`rssi` | number | Signal strength of the hub

Overrides:
  - BaseHub#rssi
Source:
  - hubs/basehub.js, line 164

#### (readonly) type

##### Properties:

Name | Type | Description
--- | --- | ---
`type` | string | Hub type

Overrides:
  - BaseHub#type
Source:
  - hubs/basehub.js, line 115

#### (readonly) uuid

##### Properties:

Name | Type | Description
--- | --- | ---
`uuid` | string | UUID of the hub

Overrides:
  - BaseHub#uuid
Source:
  - hubs/basehub.js, line 150

### Methods

#### createVirtualPort(firstPortName, secondPortName) → {Promise}

Combines two ports with into a single virtual port.

Note: The devices attached to the ports must be of the same device type.

##### Parameters:

Name | Type | Description
--- | --- | ---
`firstPortName` | string | First port name
`secondPortName` | string | Second port name

Inherited From:
  - LPF2Hub#createVirtualPort
Source:
  - hubs/lpf2hub.js, line 90

#### setName(name) → {Promise}

Set the name of the Hub.

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | string | New name of the hub (14 characters or less, ASCII only).

Inherited From:
  - LPF2Hub#setName
Source:
  - hubs/lpf2hub.js, line 61

#### shutdown() → {Promise}

Shutdown the Hub.

Inherited From:
  - LPF2Hub#shutdown
Source:
  - hubs/lpf2hub.js, line 53

### Events

#### button

Emits when a button is pressed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`button` | string |
`state` | ButtonState |

Inherited From:
  - LPF2Hub#event:button
Source:
  - hubs/lpf2hub.js, line 182